Bug 438809 - virt-manager doesn't detect network bridge correctly
virt-manager doesn't detect network bridge correctly
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 08:53 EDT by Adam Tkac
Modified: 2013-04-30 19:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 07:01:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file (2.70 KB, text/plain)
2008-04-02 08:09 EDT, Adam Tkac
no flags Details
brctl show (93 bytes, text/plain)
2008-04-04 05:38 EDT, Adam Tkac
no flags Details
ifconfig -a (1.93 KB, text/plain)
2008-04-04 05:39 EDT, Adam Tkac
no flags Details
ls /sys/class/net/*/* (4.29 KB, text/plain)
2008-04-04 05:40 EDT, Adam Tkac
no flags Details
Screenshot of virt-manager network selection (20.64 KB, image/png)
2008-04-17 04:49 EDT, Nick Strugnell
no flags Details
Output of ls /sys/class/net/*/* (21.84 KB, text/plain)
2008-04-17 04:52 EDT, Nick Strugnell
no flags Details
Output of ifconfig -a (6.60 KB, text/plain)
2008-04-17 04:52 EDT, Nick Strugnell
no flags Details
Output of brctl show (179 bytes, text/plain)
2008-04-17 04:53 EDT, Nick Strugnell
no flags Details
virt-manager.log (1.60 KB, text/plain)
2008-04-17 04:54 EDT, Nick Strugnell
no flags Details

  None (edit)
Description Adam Tkac 2008-03-25 08:53:38 EDT
Description of problem:
When I want create guest with bridged network interface "Network device" field
is gray (peth0 not bridged) but peth0 is network bridge

Version-Release number of selected component (if applicable):
$rpm -q virt-manager libvirt
virt-manager-0.5.4-2.fc9.i386
libvirt-0.4.1-4.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. setup network bridge through /etc/sysconfig/network-scripts/ifcfg-{peth0,eth0}
2. try create guest with bridged networking

Actual results:
Device field is gray and tells that peth0 is not bridged

Expected results:
not gray device

Additional info:
I'm using same configuration long time and this became broken during last month
(I'm able to find when exactly).

$ /usr/sbin/brctl show
bridge name	bridge id		STP enabled	interfaces
peth0		8000.00188b2be4d9	no		eth0
							vnet0

When I run guest which was created some time ago networking works as expected
(I'm able to ping guest from outside). Let me know if you need more info
(network configuration etc)
Comment 1 Cole Robinson 2008-04-01 11:37:46 EDT
Hi, can you attach ~/.virt-manager/virt-manager.log? Thanks.
Comment 2 Adam Tkac 2008-04-02 04:53:00 EDT
It is nothing interesting there:
[St, 02 led 2008 13:25:10 virt-manager 16569] INFO (virt-manager:125)
Application startup
[St, 02 led 2008 13:25:11 virt-manager 16570] DEBUG (engine:69) About to connect
to uris []

It might be libvirt problem but I'm not able to track where exactly problem is.
Any hints how get more useful debug information?
Comment 3 Daniel Berrange 2008-04-02 07:54:01 EDT
There should be much more than that - please make sure you are connected to a
hypervisor and have the new VM wizard open. Then capture the logfile & attach
the whole file to this ticket.
Comment 4 Adam Tkac 2008-04-02 08:09:30 EDT
Created attachment 300051 [details]
log file

In previous attempt I looked into my home dir instead /root.
Comment 5 Daniel Berrange 2008-04-02 10:58:39 EDT
Can you attach the output of these commands:

  ls /sys/class/net/*/*
  ifconfig -a
  brctl show

and also tell me what kernel you are running
Comment 6 Adam Tkac 2008-04-04 05:38:46 EDT
Created attachment 300402 [details]
brctl show
Comment 7 Adam Tkac 2008-04-04 05:39:17 EDT
Created attachment 300403 [details]
ifconfig -a
Comment 8 Adam Tkac 2008-04-04 05:40:07 EDT
Created attachment 300404 [details]
ls /sys/class/net/*/*
Comment 9 Adam Tkac 2008-04-04 05:41:41 EDT
uname -rvm
2.6.25-0.185.rc7.git6.fc9.i686 #1 SMP Tue Apr 1 13:48:40 EDT 2008 i686
Comment 10 Nick Strugnell 2008-04-17 04:49:16 EDT
Created attachment 302725 [details]
Screenshot of virt-manager network selection
Comment 11 Nick Strugnell 2008-04-17 04:51:43 EDT
Argggg - original comment didn't attach!

We are running into the same problem - we have two bridged networks, xenbr0 and
xenbr1 - these are not being displayed correctly (or at all) in virt-manager, as
you can see from the screenshot in the previous comment.

kernel-2.6.18-53.1.14.el5xen
virt-manager-0.4.0-3.el5

I will attach brctl, virt-manager.log and ifconfig -a output
Comment 12 Nick Strugnell 2008-04-17 04:52:23 EDT
Created attachment 302726 [details]
Output of ls /sys/class/net/*/*
Comment 13 Nick Strugnell 2008-04-17 04:52:47 EDT
Created attachment 302727 [details]
Output of ifconfig -a
Comment 14 Nick Strugnell 2008-04-17 04:53:17 EDT
Created attachment 302728 [details]
Output of brctl show
Comment 15 Nick Strugnell 2008-04-17 04:54:43 EDT
Created attachment 302729 [details]
virt-manager.log
Comment 16 Cole Robinson 2008-04-17 09:19:34 EDT
Comment #11, your log file indicates a known issue (see bug 436276).
Comment 17 Bug Zapper 2008-05-14 02:49:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Adam Tkac 2008-05-27 07:01:29 EDT
After more investigation and some configuration hacking it works again, closing.

Note You need to log in before you can comment on or make changes to this bug.